@font-face {
  font-family: "icomoon";
  src: url("fonts/icomoon.eot?saynce");
  src: url("fonts/icomoon.eot?saynce#iefix") format("embedded-opentype"),
    url("fonts/icomoon.ttf?saynce") format("truetype"),
    url("fonts/icomoon.woff?saynce") format("woff"),
    url("fonts/icomoon.svg?saynce#icomoon") format("svg");
  font-weight: normal;
  font-style: normal;
  font-display: block;
}

.icon-icomoon [class^="icon-"]::before,
.icon-icomoon [class*=" icon-"]::before {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: "icomoon" !important;
  speak: never;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;

  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.icon-update:before {
  content: "\e92a";
}

.icon-wifi:before {
  content: "\f1eb";
}

.icon-cast:before {
  content: "\e928";
}

.icon-airplay:before {
  content: "\e929";
}

.icon-futureproof:before {
  content: "\e927";
}

.icon-scale:before {
  content: "\e925";
}

.icon-weightscale:before {
  content: "\e926";
}

.icon-no-shopping-online:before {
  content: "\e924";
}

.icon-award:before {
  content: "\e922";
}

.icon-review:before {
  content: "\e923";
}

.icon-search:before {
  content: "\e920";
}

.icon-toggle:before {
  content: "\e921";
}

.icon-two-escape:before {
  content: "\e91f";
}

.icon-amplifier:before {
  content: "\e913";
}

.icon-app:before {
  content: "\e914";
}

.icon-aux-input:before {
  content: "\e915";
}

.icon-bass:before {
  content: "\e916";
}

.icon-bluetooth:before {
  content: "\e917";
}

.icon-charging:before {
  content: "\e918";
}

.icon-cpu:before {
  content: "\e919";
}

.icon-portable:before {
  content: "\e91a";
}

.icon-rotate:before {
  content: "\e91b";
}

.icon-usb-flash-drive-audio-input:before {
  content: "\e91c";
}

.icon-weather-resistant:before {
  content: "\e91d";
}

.icon-weight:before {
  content: "\e91e";
}

.icon-chat:before {
  content: "\e90f" !important;
}

.icon-downloads:before {
  content: "\e910";
}

.icon-login:before {
  content: "\e911";
}

.icon-press:before {
  content: "\e912";
}

.icon-facebook:before {
  content: "\e90a";
}

.icon-instagram:before {
  content: "\e90b";
}

.icon-linkedin:before {
  content: "\e90c";
}

.icon-pinterest:before {
  content: "\e90d";
}

.icon-twitter:before {
  content: "\e90e";
}

.icon-bbq:before {
  content: "\e909";
}

.icon-battery:before {
  content: "\e904";
}

.icon-hotel:before {
  content: "\e905";
}

.icon-indoor:before {
  content: "\e906";
}

.icon-resto:before {
  content: "\e907";
}

.icon-terrace:before {
  content: "\e908";
}

.icon-arrow-thin:before {
  content: "\e900";
}

.icon-party:before {
  content: "\e901";
}

.icon-pool:before {
  content: "\e902";
}

.icon-wellness:before {
  content: "\e903";
}
.Block-Awards .section-title.section-title-normal span,
.Block-Awards .section-title.section-title-normal {
  border-bottom: unset !important;
}
.Block-Awards .container.section-title-container,
.Block-Awards .section-title.section-title-normal {
  border-bottom: unset !important;
  margin: 0px !important;
}
.Block-Awards .button span {
  font-weight: 500 !important;
}
.Block-Awards .button:hover span,
.Block-Awards .button:hover::before {
  color: #5190be !important;
}

body:has(.modal) .section-content {
  z-index: unset;
}

.btn_contact {
  border-radius: 15px !important;
}

.product-tags-titel {
  font-size: 1em;
  font-weight: 600;
  letter-spacing: 0.05em;
  line-height: 1.05;
  text-transform: uppercase;
  font-family: Jost, sans-serif;
  color: #f1f1f1 !important;
}

#employees_appointments_calendar .fc-header-toolbar .fc-toolbar-chunk:nth-child(2) > div {
  display: flex;
}

#employees_appointments_calendar .fc-header-toolbar .fc-toolbar-chunk h2.fc-toolbar-title {
  padding: 0 10px;
}

#employees_appointments_calendar .fc-timeGridDay-view table.fc-scrollgrid > thead {
  display: none;
}

#status_colors_container {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
}

#status_colors_container .status_color {
  width: fit-content;
  height: fit-content;
  padding: 5px 40px 5px 10px;
  display: inline-block;
  color: #000;
  font-size: 1rem;
}

.d-flex {
  display: flex !important;
}

.justify-content-center {
  justify-content: center !important;
}

.justify-content-between {
  justify-content: space-between !important;
}

.align-items-center {
  align-items: center !important;
}

.flex-wrap {
  flex-wrap: wrap;
}

#addEditAppointmentModal,
#addEditAppointmentModal label {
  color: #000;
}

.btn {
  display: inline-block;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  text-align: center;
  text-decoration: none;
  vertical-align: middle;
  cursor: pointer;
  border: 1px solid transparent;
  border-radius: 0.375rem;
  background-color: transparent;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out;
}

.btn-primary {
  color: #fff;
  background-color: #0d6efd;
}

.btn-secondary {
  color: #fff;
  background-color: #6c757d;
}

.btn-dark {
  color: #fff;
  background-color: #212529;
}

.error_message {
  display: none;
  color: red;
  font-size: 13px;
}
/* 
#addEditAppointmentModal #error_container {
  margin-top: -15px;
} */

#go_to_date_btn {
  padding: 0px;
  float: right;
  margin-left: 2px;
}

#go_to_date_btn i {
  font-size: 29px;
}

#go_to_date {
  visibility: hidden;
  float: right;
  width: 1px !important;
}

.col-xs-12 {
  float: left;
  width: 100%;
  position: relative;
  min-height: 1px;
  padding-right: 15px;
  padding-left: 15px;
}

@media (min-width: 992px) {
  .col-md-4 {
    width: 33.33333333%;
    float: left;
    position: relative;
    min-height: 1px;
    padding-right: 15px;
    padding-left: 15px;
  }
}

@media (min-width: 1200px) {
  .col-lg-4 {
    width: 33.33333333%;
    float: left;
    position: relative;
    min-height: 1px;
    padding-right: 15px;
    padding-left: 15px;
  }
}

#ui-datepicker-div {
  z-index: 99999999 !important;
}

#ui-datepicker-div .ui-datepicker-title {
  display: flex;
  justify-content: center;
}

#change_view_btn_container {
  float: right;
  padding-right: 40px;
}

.fc-button .fc-icon {
  position: relative;
  top: -0.05em;
  margin: 0 0.2em;
  vertical-align: middle;
}
.fc-button {
  border: 1px solid;
  background-color: #f5f5f5;
  background-image: -moz-linear-gradient(top, #fff, #e6e6e6);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#fff), to(#e6e6e6));
  background-image: -webkit-linear-gradient(top, #fff, #e6e6e6);
  background-image: -o-linear-gradient(top, #fff, #e6e6e6);
  background-image: linear-gradient(to bottom, #fff, #e6e6e6);
  background-repeat: repeat-x;
  border-color: #e6e6e6 #e6e6e6 #bfbfbf;
  border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
  color: #333;
  text-shadow: 0 1px 1px rgb(255 255 255 / 75%);
  box-shadow: inset 0 1px 0 rgb(255 255 255 / 20%), 0 1px 2px rgb(0 0 0 / 5%);
  box-sizing: border-box;
  margin: 0;
  height: 30px;
  min-height: 30px;
  line-height: unset !important;
  padding: 0 0.6em;
  white-space: nowrap;
  cursor: pointer;
}

.fc-right .fc-button-group .fc-button {
  float: left;
  margin: 0 0 0 -1px;
  border-radius: 0;
}

.fc-state-active {
  background-color: #ccc;
  background-image: none;
  box-shadow: inset 0 2px 4px rgb(0 0 0 / 15%), 0 1px 2px rgb(0 0 0 / 5%);
  pointer-events: none;
}

#change_view_btn_container .fc-button {
  text-transform: capitalize;
  font-weight: 100;
  color: #000;
}

.daterangepicker .calendar-table th,
.daterangepicker .calendar-table td {
  color: #000;
}

#employees_list_container {
  display: none;
  padding: 40px 10px;
  text-align: center;
}

.appointment_item {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px;
  padding: 0 10px;
  border-radius: 8px;
}

.appointment_item:not(:first-child) {
  padding: 7px 10px;
}

.appointment_date_col {
  flex: 0 0 140px;
  text-align: left;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  gap: 10px;
}

.appointment_details_group {
  display: flex;
  flex-grow: 1;
  flex-shrink: 1;
  flex-basis: auto;
  align-items: center;
  min-width: 0;
  flex-wrap: wrap;
  gap: 10px;
}

.appointment_time_col {
  flex: 0 0 180px;
  text-align: left;
  color: #b9b7b7;
  box-sizing: border-box;
  display: flex;
  align-items: center;
}

.appointment_service_staff_col {
  flex: 1;
  text-align: left;
  box-sizing: border-box;
  min-width: 150px;
}

.appointment_date {
  font-size: 1.2em;
  font-weight: bold;
  background-color: #abc7fc;
  border-radius: 50%;
  padding: 8px 12px;
  color: #000000;
  min-width: 40px;
  text-align: center;
}

.appointment_month_day {
  font-size: 0.8em;
  color: #b9b7b7;
  line-height: 1.2;
}

.dot {
  display: inline-block;
  width: 8px;
  height: 8px;
  background: #2196f3;
  border-radius: 50%;
  margin-right: 8px;
  vertical-align: middle;
}

.dot-brown {
  background: #947368;
}

.dot-gray {
  background: #6a6a6a;
}

.dot-orange {
  background: #dc7938;
}

.appointment_item .appointment_service_staff_col span {
  cursor: pointer;
}

.loader_container {
  display: none;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.loader_container p {
  margin-bottom: 0;
  font-size: 16px;
  line-height: 1.5;
}

.loader {
  border: 7px solid #f3f3f3;
  border-radius: 50%;
  border-top: 7px solid #3498db;
  width: 30px;
  height: 30px;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;
}

#addEditAppointmentModal,
#manageFraisModal {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

#addEditAppointmentModal .loader_container {
  /* min-width: 300px;
  max-height: 500px;
  min-height: 90vh; */
}

#addEditAppointmentModal .tabs {
  margin: 0 auto;
  /* max-width: 350px; */
  font-size: 0;
}

#addEditAppointmentModal .tabs > input[type="radio"] {
  display: none;
}

#addEditAppointmentModal .tabs > div {
  display: none;
  font-size: 16px;
}

#addEditAppointmentModal #tab-btn-1:checked ~ #add-edit-appointment-tab,
#addEditAppointmentModal #tab-btn-2:checked ~ #staff-frais-tab,
#addEditAppointmentModal #tab-btn-3:checked ~ #payment-tab {
  display: block;
}

#addEditAppointmentModal .tabs > label {
  display: inline-block;
  text-align: center;
  vertical-align: middle;
  user-select: none;
  background-color: #f5f5f5;
  border: 1px solid #e0e0e0;
  padding: 2px 8px;
  font-size: 16px;
  line-height: 1.5;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out;
  cursor: pointer;
  position: relative;
  top: 1px;
}

#addEditAppointmentModal .tabs > label:not(:first-of-type) {
  border-left: none;
}

#addEditAppointmentModal .tabs > input[type="radio"]:checked + label {
  background-color: #fff;
  border-bottom: 1px solid #fff;
}

#staff_frais_list .staff_frais_row,
#global_frais_list .global_frais_row {
  display: flex;
  align-items: center;
  gap: 5px;
}

#staff-frais-tab #new_line,
#new_global_frais_line {
  display: none;
}

#staff_frais_list .staff_frais_row .add_frais,
#staff_frais_list .staff_frais_row .remove_frais,
#global_frais_list .global_frais_row .add_frais,
#global_frais_list .global_frais_row .remove_frais {
  font-size: 24px;
  cursor: pointer;
  margin-bottom: 16px;
}

#staff_frais_list .staff_frais_row .add_frais,
#global_frais_list .global_frais_row .add_frais {
  visibility: hidden;
}

#staff_frais_list .staff_frais_row:last-child .add_frais,
#global_frais_list .global_frais_row:last-child .add_frais {
  visibility: visible;
}

#addEditAppointmentModal .labels,
#manageFraisModal .labels {
  display: flex;
}

.labels .form-group {
  width: calc((100% - 30px) / 3);
}

.staff_frais_row .form-group,
.global_frais_row .form-group {
  width: calc((100% - 42px) / 3);
}

.staff_frais_row input:read-only,
.staff_frais_row input:read-only:focus,
.global_frais_row input:read-only,
.global_frais_row input:read-only:focus {
  background: #f5f5f5;
}

.select2-results__option--selectable {
  color: #000;
}

/* .select2_wrapper {
  max-width: 300px;
} */

.staff-coutdown-form .select2-container.select2 {
  /* max-width: 300px; */
  /* max-height: 70px; */
  max-height: 2.507em;
  scroll-behavior: auto;
  scrollbar-gutter: stable;
  scrollbar-width: thin;
  overflow-y: scroll;
  scrollbar-color: #b9b7b7 #f5f5f5;
  scroll-snap-type: y proximity;
}

.staff-coutdown-form .select2-container--default .select2-selection--multiple {
  min-height: 38px;
  height: auto !important;
  overflow-y: visible;
  padding: 0 !important;
}

.staff-coutdown-form
  .select2-container--default
  .select2-selection--multiple
  .select2-selection__rendered {
  display: flex;
  flex-wrap: wrap;
  max-height: none !important;
  padding-right: 8px;
}

.staff-coutdown-form
  .select2-container
  .selection
  .select2-selection--multiple
  .select2-selection__choice {
  padding: 0px;
}

#countdown_list_container .employee-table tbody tr:hover {
  cursor: pointer;
}

#countdown_list_container .staff-coutdown-form {
  max-width: 50%;
  width: 50%;
}

.frais-checkbox-list {
  display: flex;
  flex-wrap: wrap;
}

.frais-checkbox-list label {
  flex: 1 0 50%;
  display: flex;
  align-items: center;
  margin-bottom: 0.5em;
}

.frais-checkbox-list span {
  margin-left: 0.5em;
}

#addEditAppointmentModal #staff_frais_list,
#manageFraisModal #global_frais_list {
  max-height: calc(100vh - 200px);
  overflow-y: auto;
}

#addEditAppointmentModal select.disabled,
#manageFraisModal select.disabled {
  background-color: #f5f5f5;
  pointer-events: none;
}

#addEditAppointmentModal .service_taxe {
  font-size: 10px;
}

#countdown_list_container .accordion {
  background-color: #eee;
  color: #444;
  cursor: pointer;
  padding: 18px;
  width: 100%;
  text-align: left;
  border: none;
  outline: none;
  transition: 0.4s;
}

#countdown_list_container .accordion.active,
#countdown_list_container .accordion:hover {
  background-color: #fff;
}

#countdown_list_container .panel {
  padding: 0 18px;
  display: none;
  overflow: hidden;
}

#countdown_list_container .accordion:after {
  content: "\2BC6";
  font-size: 16px;
  color: #777;
  float: right;
  margin-left: 5px;
}

#countdown_list_container .accordion.active:after {
  content: "\2BC5";
}

#countdown_list_container .accordion:before {
  content: "\002B";
  font-size: 24px;
  color: #777;
  float: left;
  margin-right: 5px;
}

#countdown_list_container .accordion.active:before {
  content: "\2212";
}

#countdown_list_container .global-frais-checkbox-list {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
}

#countdown_list_container .global-frais-checkbox-list label {
  width: fit-content;
  display: flex;
  align-items: baseline;
  margin-bottom: 0.5em;
}

.btn_details_appointments {
  cursor: pointer;
}

.icon_checked_container {
  display: inline-block;
  width: 18px;
  height: 18px;
  background: #4caf50;
  border-radius: 50%;
  text-align: center;
  line-height: 16px;
  color: #fff;
}

.icon_checked_container svg {
  vertical-align: middle;
}
